Subject: Re: [PATCH v2 00/94] KVM: arm64: ARMv8.3/8.4 Nested Virtualization support

From: Marc Zyngier <[email-masked]>
Date: Fri, 17 Apr 2020 16:06:02 +0100

On Thu, 16 Apr 2020 19:22:21 +0100
Marc Zyngier <[email-masked]> wrote:

> Hi Zengtao,
> 
> On 2020-04-16 02:38, Zengtao (B) wrote:
> > Hi Marc:
> > 
> > Got it.
> > Really a bit patch set :)  
> 
> Well, yeah... ;-)
> 
> > 
> > BTW, I have done a basic kvm unit test
> > git://git.kernel.org/pub/scm/virt/kvm/kvm-unit-tests.git
> > And I find that after apply the patch KVM: arm64: VNCR-ize ELR_EL1,
> > The psci test failed for some reason, I can't understand why, this
> > is only the test result.(find the patch by git bisect + kvm test)  
> 
> That it is that mechanical, we should be able to quickly nail that one.
> 
> > My platform: Hisilicon D06 board.
> > Linux kernel: Linux 5.6-rc6 + nv patches(some rebases)
> > Could you help to take a look?  
> 
> I'll have a look tomorrow. I'm in the middle of refactoring the series
> for 5.7, and things have changed quite a bit. Hopefully this isn't a VHE
> vs non-VHE issue.

So I've repeatedly tried with the current state of the NV patches[1],
on both an ARMv8.0 system (Seattle) and an ARMv8.2 pile of putrid junk
(vim3l). PSCI is pretty happy, although I can only test with at most 8
vcpus (GICv2 gets in the way).

Can you please:

- post the detailed error by running the PSCI unit test on its own
- test with the current state of the patches

Thanks,

	M.

[1] https://git.kernel.org/pub/scm/linux/kernel/git/maz/arm-platforms.git/log/?h=kvm-arm64/nv-5.7-rc1-WIP
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel